core::dbus::helper::TypeMapper< com::lomiri::location::SpaceVehicle > Struct Reference

`#include <codec.h>`

Collaboration diagram for core::dbus::helper::TypeMapper< com::lomiri::location::SpaceVehicle >:

## Static Public Member Functions

static constexpr ArgumentType | type_value ()
static constexpr bool | is_basic_type ()
static constexpr bool | requires_signature ()
static std::string | signature ()

## Detailed Description

Definition at line 223 of file codec.h.

## Member Function Documentation

## is_basic_type()

constexpr bool core::dbus::helper::TypeMapper< com::lomiri::location::SpaceVehicle >::is_basic_type | ( |  | ) |

inline static constexpr

Definition at line 229 of file codec.h.

## requires_signature()

constexpr bool core::dbus::helper::TypeMapper< com::lomiri::location::SpaceVehicle >::requires_signature | ( |  | ) |

inline static constexpr

Definition at line 233 of file codec.h.

## signature()

std::string core::dbus::helper::TypeMapper< com::lomiri::location::SpaceVehicle >::signature | ( |  | ) |

inline static

Definition at line 238 of file codec.h.

References signature().

Referenced by signature().

Here is the call graph for this function:

## type_value()

constexpr ArgumentType core::dbus::helper::TypeMapper< com::lomiri::location::SpaceVehicle >::type_value | ( |  | ) |

inline static constexpr

Definition at line 225 of file codec.h.

The documentation for this struct was generated from the following file:

- codec.h